
Robotics Systems Types - Feature #1294
Add BoundingBox3D and BoundingBox3DSet to the sandbox
12/11/2012 03:58 PM - C. Emmerich

Status: Resolved Start date: 12/11/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.9
Description

please add to both trunk and 0.7

Related issues:
Related to Robotics Systems Types - Feature # 1295: Add AxisAlignedBoundingBo... Resolved 12/11/2012

Associated revisions
Revision 0fbffc97 - 12/12/2012 05:34 PM - C. Emmerich

Added types BoundingBox3DFloat[Set] in proto/sandbox/rst/geometry/

fixes #1294

    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: new file; 3D
  bounding box in general position and orientation

    -  proto/sandbox/rst/geometry/BoundingBox3DFloatSet.proto: new file;
  set of BoundingBox3DFloat

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 8cd002bf - 12/12/2012 05:36 PM - C. Emmerich

Backport: Added types BoundingBox3DFloat[Set] in proto/sandbox/rst/geometry/

refs #1294

    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: new file; 3D
  bounding box in general position and orientation

    -  proto/sandbox/rst/geometry/BoundingBox3DFloatSet.proto: new file;
  set of BoundingBox3DFloat

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 7d92a548 - 12/12/2012 05:48 PM - J. Moringen

Documentation fixes in proto/sandbox/rst/geometry/*BoundingBox3DFloat.proto

refs #1294, refs #1295

    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto:
  fixed and improved documentation
    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: likewise

Revision d8662562 - 12/12/2012 05:48 PM - J. Moringen

Backport: Documentation fixes in proto/sandbox/rst/geometry/*BoundingBox3DFloat.proto

refs #1294, refs #1295

    -  proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto:
  fixed and improved documentation

    -  proto/sandbox/rst/geometry/BoundingBox3DFloat.proto: likewise

History
#1 - 12/11/2012 09:36 PM - J. Moringen
- Status changed from New to Feedback

I propose the modified version in 0001-Added-types-BoundingBox3DFloat-Set-in-proto-sandbox-.patch.

In addition, I suggest an axis-aligned bounding box (#1295).

Please comment.

#2 - 12/11/2012 09:36 PM - J. Moringen
- File 0001-Added-types-BoundingBox3DFloat-Set-in-proto-sandbox-.patch added

#3 - 12/11/2012 09:36 PM - J. Moringen
- Category set to Type Proposal
- Target version set to rsb-0.9

#4 - 12/12/2012 01:26 PM - J. Wienke

What is the motivation to specify the center of mass with the transformation? Wouldn't it be easier to understand if one of the corners was used?

#5 - 12/12/2012 02:23 PM - C. Emmerich

Actually not (in my opinion). Specifying a corner in 3 or even in N-D and in presence of or before a rotation seems not to be that intuitive. In contrast,
the center of mass is - at least before the rotation - very easy to understand (no formula needed or soemthing else; we only deal with boxes).

I talked to Johannes about that and he agreed.

#6 - 12/12/2012 05:14 PM - Anonymous

Looks good to me. I'm in favor of jmoringe's adaption since API should be easier to access (and to understand) if lengths are more explicit (width,
height, depth).

#7 - 12/12/2012 07:38 PM - C. Emmerich
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:0fbffc97f24c608483952a332c33bea29a3ff420.

Files
0001-added-types-BoundingBox-in-3D-and-set-of-Bounding-bo.patch 2.11 KB 12/11/2012 C. Emmerich
0001-Added-types-BoundingBox3DFloat-Set-in-proto-sandbox-.patch 3.09 KB 12/11/2012 J. Moringen
